# SWDB

# \K_Skill_Level

Monster skill level.

Represents an object from the table 'k_monster_skill_upgrade'.

## Summary

Methods
Properties
Constants
__construct()
$db
$skill
$level
$description
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/K_Skill_Level.php
Package
  Default
Class hierarchy
  \Entity
  \K_Skill_Level

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $skill

    $skill : integer

#### Type

integer — Skill identifier.

#

## Tags

None found

### $level

    $level : integer

#### Type

integer — Skill level.

#

## Tags

None found

### $description

    $description : string

#### Type

string — Upgrade description.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $skill, integer  $level)

Constructor.

Searches the database and retrieves the information about the skill level, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $skill | Skill identifier.
integer | $level | Skill level.

#

## Tags

None found

### K_Skill_Level.php